package net.woodyfolsom.cs6601.p3.domain;

import java.util.Date;

public class StockPrice {
	//Date,Open,High,Low,Close,Volume,Adj_Close
	//2012-04-17,0.28,0.33,0.28,0.32,3408100,0.32
	final Date date;
	
	final double open;
	final double high;
	final double low;
	final double close;
	final double adjClose;
	
	final long volume;
	
	public StockPrice(Date date, double open, double high, double low, double close,
			long volume, double adjClose) {
		super();
		this.date = date;
		this.open = open;
		this.high = high;
		this.low = low;
		this.close = close;
		this.volume = volume;
		this.adjClose = adjClose;
	}

	public Date getDate() {
		return date;
	}

	public double getOpen() {
		return open;
	}

	public double getClose() {
		return close;
	}
	
	public double getHigh() {
		return high;
	}

	public double getLow() {
		return low;
	}

	public long getVolume() {
		return volume;
	}

	public double getAdjClose() {
		return adjClose;
	}
}